this is an easy one because recently been working on a massive scale project. thousands of trees there ...... every time we modified the terrain...... not in the mood
Hi Stephanie, it looks like the move project plugin is removed from the download website, I couldn't find it anywhere. I hope you can share a copy of the file somehow. Thank you for this useful playlist!
@@FutureLandscapes Try this in python script(command "EditPythonScript" then press F5 or the Start Debugging button. It would let you select blocks first press space then selects surfaces as ground(can be multiple surfaces) then space it will move your blocks to the vertical project point of the block insert point on the surface. But you'd better have your block original right (like set the original point at the feet when it's a person) here is the content: import rhinoscriptsyntax as rs def test(): Ids = rs.GetObjects("Select Block to Move", filter = 4096, preselect=True)
Hi Stephanie, thanks for detailed tutorial. I can't find "rhino script" under plug-ins when I open options. Is it because I'm using a trial version on Mac?
It's amazing to load the script this way!
import rhinoscriptsyntax as rs
def test():
Ids = rs.GetObjects("Select Block to Move", filter = 4096, preselect=True)
Suf = rs.GetObjects("Delect Surface as Ground", filter = (8 | 16 | 32), preselect=False)
if Ids is None: return
if Suf is None: return
for Id in Ids:
pt = rs.BlockInstanceInsertPoint(Id)
if pt:
ppts = rs.ProjectPointToSurface(pt, Suf, (0,0,-1))
if ppts:
index = rs.PointArrayClosestPoint(ppts, pt)
if index is not None :
ppt = (ppts[index])
if ppt :
translation = ppt-pt
rs.MoveObject(Id,translation)
if __name__ == "__main__":
test()
this is an easy one because recently been working on a massive scale project. thousands of trees there ...... every time we modified the
terrain......
not in the mood
My question would be, why put trees in Rhino at that scale of site? I can't think of any render scenario that requires that!
@@FutureLandscapes I have a
paranoid boss
Poor you! :D
Hi Stephanie, it looks like the move project plugin is removed from the download website, I couldn't find it anywhere.
I hope you can share a copy of the file somehow.
Thank you for this useful playlist!
It's a shame it's not existing anymore! Perhaps just got outdated with new versions of Rhino.
to move the blocks to surfaces more quickly we can create a python script really efficient for big scale projects
I'd love that as a plugin! I think there are a few 'drop to surface' plugins, actually. Are there any you recommend?
@@FutureLandscapes Try this in python script(command "EditPythonScript" then press F5 or the Start Debugging button. It would let you select blocks first press space then selects surfaces as ground(can be multiple surfaces) then space it will move your blocks to the vertical project point of the block insert point on the surface. But you'd better have your block original right (like set the original point at the feet when it's a person)
here is the content:
import rhinoscriptsyntax as rs
def test():
Ids = rs.GetObjects("Select Block to Move", filter = 4096, preselect=True)
Suf = rs.GetObjects("Delect Surface as Ground", filter = (8 | 16 | 32), preselect=False)
if Ids is None: return
if Suf is None: return
for Id in Ids:
pt = rs.BlockInstanceInsertPoint(Id)
if pt:
ppts = rs.ProjectPointToSurface(pt, Suf, (0,0,-1))
if ppts:
index = rs.PointArrayClosestPoint(ppts, pt)
if index is not None :
ppt = (ppts[index])
if ppt :
translation = ppt-pt
rs.MoveObject(Id,translation)
if __name__ == "__main__":
test()
Hi Stephanie, thanks for detailed tutorial. I can't find "rhino script" under plug-ins when I open options. Is it because I'm using a trial version on Mac?
Hello, Rhino for Mac doesn't have the option to use scripts so it's only for PC at this point! Thanks for asking.
Hi Stephanie! I can't find the rhino script on PC. What to do now?
I think it's been updated or changed since I created - you can try looking up similar rhino scripts on the food for rhino website.
Hi... You have explained things very well, Just wondering where can I get these asset files?
Hello, the files are in the description on part 1 of the series. And whenever I use a new tool I link it in the description of the tutorial video.
Got it ... Thanks